<?php
session_start(); // Initialize Session data
ob_start(); // Turn on output buffering
?>
<?php include "ewcfg7.php" ?>
<?php include "ewmysql7.php" ?>
<?php include "phpfn7.php" ?>
<?php include "tbl_provinceinfo.php" ?>
<?php include "tbl_countryinfo.php" ?>
<?php include "tbl_languageinfo.php" ?>
<?php include "tbl_admininfo.php" ?>
<?php include "userfn7.php" ?>
<?php
header("Expires: Mon, 26 Jul 1997 05:00:00 GMT"); // Date in the past
header("Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT"); // Always modified
header("Cache-Control: private, no-store, no-cache, must-revalidate"); // HTTP/1.1 
header("Cache-Control: post-check=0, pre-check=0", false);
header("Pragma: no-cache"); // HTTP/1.0
?>
<?php

// Create page object
$tbl_province_delete = new ctbl_province_delete();
$Page =& $tbl_province_delete;

// Page init
$tbl_province_delete->Page_Init();

// Page main
$tbl_province_delete->Page_Main();
?>
<?php include "header.php" ?>
<script type="text/javascript">
<!--

// Create page object
var tbl_province_delete = new ew_Page("tbl_province_delete");

// page properties
tbl_province_delete.PageID = "delete"; // page ID
tbl_province_delete.FormID = "ftbl_provincedelete"; // form ID
var EW_PAGE_ID = tbl_province_delete.PageID; // for backward compatibility

// extend page with Form_CustomValidate function
tbl_province_delete.Form_CustomValidate =  
 function(fobj) { // DO NOT CHANGE THIS LINE!

 	// Your custom validation code here, return false if invalid. 
 	return true;
 }
<?php if (EW_CLIENT_VALIDATE) { ?>
tbl_province_delete.ValidateRequired = true; // uses JavaScript validation
<?php } else { ?>
tbl_province_delete.ValidateRequired = false; // no JavaScript validation
<?php } ?>

//-->
</script>
<script language="JavaScript" type="text/javascript">
<!--

// Write your client script here, no need to add script tags.
// To include another .js script, use:
// ew_ClientScriptInclude("my_javascript.js"); 
//-->

</script>
<?php

// Load records for display
if ($rs = $tbl_province_delete->LoadRecordset())
	$tbl_province_deletelTotalRecs = $rs->RecordCount(); // Get record count
if ($tbl_province_deletelTotalRecs <= 0) { // No record found, exit
	if ($rs)
		$rs->Close();
	$tbl_province_delete->Page_Terminate("tbl_provincelist.php"); // Return to list
}
?>
<p><span class="phpmaker"><?php echo $Language->Phrase("Delete") ?>&nbsp;<?php echo $Language->Phrase("TblTypeTABLE") ?><?php echo $tbl_province->TableCaption() ?><br><br>
<a href="<?php echo $tbl_province->getReturnUrl() ?>"><?php echo $Language->Phrase("GoBack") ?></a></span></p>
<?php
if (EW_DEBUG_ENABLED)
	echo ew_DebugMsg();
$tbl_province_delete->ShowMessage();
?>
<form action="<?php echo ew_CurrentPage() ?>" method="post">
<p>
<input type="hidden" name="t" id="t" value="tbl_province">
<input type="hidden" name="a_delete" id="a_delete" value="D">
<?php foreach ($tbl_province_delete->arRecKeys as $key) { ?>
<input type="hidden" name="key_m[]" id="key_m[]" value="<?php echo ew_HtmlEncode($key) ?>">
<?php } ?>
<table class="ewGrid"><tr><td class="ewGridContent">
<div class="ewGridMiddlePanel">
<table cellspacing="0" class="ewTable ewTableSeparate">
<?php echo $tbl_province->TableCustomInnerHtml ?>
	<thead>
	<tr class="ewTableHeader">
		<td valign="top"><?php echo $tbl_province->lang_id->FldCaption() ?></td>
		<td valign="top"><?php echo $tbl_province->country_id->FldCaption() ?></td>
		<td valign="top"><?php echo $tbl_province->province_name->FldCaption() ?></td>
		<td valign="top"><?php echo $tbl_province->order_by->FldCaption() ?></td>
	</tr>
	</thead>
	<tbody>
<?php
$tbl_province_delete->lRecCnt = 0;
$i = 0;
while (!$rs->EOF) {
	$tbl_province_delete->lRecCnt++;

	// Set row properties
	$tbl_province->CssClass = "";
	$tbl_province->CssStyle = "";
	$tbl_province->RowAttrs = array();
	$tbl_province->RowType = EW_ROWTYPE_VIEW; // View

	// Get the field contents
	$tbl_province_delete->LoadRowValues($rs);

	// Render row
	$tbl_province_delete->RenderRow();
?>
	<tr<?php echo $tbl_province->RowAttributes() ?>>
		<td<?php echo $tbl_province->lang_id->CellAttributes() ?>>
<div<?php echo $tbl_province->lang_id->ViewAttributes() ?>><?php echo $tbl_province->lang_id->ListViewValue() ?></div></td>
		<td<?php echo $tbl_province->country_id->CellAttributes() ?>>
<div<?php echo $tbl_province->country_id->ViewAttributes() ?>><?php echo $tbl_province->country_id->ListViewValue() ?></div></td>
		<td<?php echo $tbl_province->province_name->CellAttributes() ?>>
<div<?php echo $tbl_province->province_name->ViewAttributes() ?>><?php echo $tbl_province->province_name->ListViewValue() ?></div></td>
		<td<?php echo $tbl_province->order_by->CellAttributes() ?>>
<div<?php echo $tbl_province->order_by->ViewAttributes() ?>><?php echo $tbl_province->order_by->ListViewValue() ?></div></td>
	</tr>
<?php
	$rs->MoveNext();
}
$rs->Close();
?>
</tbody>
</table>
</div>
</td></tr></table>
<p>
<input type="submit" name="Action" id="Action" value="<?php echo ew_BtnCaption($Language->Phrase("DeleteBtn")) ?>">
</form>
<script language="JavaScript" type="text/javascript">
<!--

// Write your table-specific startup script here
// document.write("page loaded");
//-->

</script>
<?php include "footer.php" ?>
<?php
$tbl_province_delete->Page_Terminate();
?>
<?php

//
// Page class
//
class ctbl_province_delete {

	// Page ID
	var $PageID = 'delete';

	// Table name
	var $TableName = 'tbl_province';

	// Page object name
	var $PageObjName = 'tbl_province_delete';

	// Page name
	function PageName() {
		return ew_CurrentPage();
	}

	// Page URL
	function PageUrl() {
		$PageUrl = ew_CurrentPage() . "?";
		global $tbl_province;
		if ($tbl_province->UseTokenInUrl) $PageUrl .= "t=" . $tbl_province->TableVar . "&"; // Add page token
		return $PageUrl;
	}

	// Page URLs
	var $AddUrl;
	var $EditUrl;
	var $CopyUrl;
	var $DeleteUrl;
	var $ViewUrl;
	var $ListUrl;

	// Export URLs
	var $ExportPrintUrl;
	var $ExportHtmlUrl;
	var $ExportExcelUrl;
	var $ExportWordUrl;
	var $ExportXmlUrl;
	var $ExportCsvUrl;

	// Update URLs
	var $InlineAddUrl;
	var $InlineCopyUrl;
	var $InlineEditUrl;
	var $GridAddUrl;
	var $GridEditUrl;
	var $MultiDeleteUrl;
	var $MultiUpdateUrl;

	// Message
	function getMessage() {
		return @$_SESSION[EW_SESSION_MESSAGE];
	}

	function setMessage($v) {
		if (@$_SESSION[EW_SESSION_MESSAGE] <> "") { // Append
			$_SESSION[EW_SESSION_MESSAGE] .= "<br>" . $v;
		} else {
			$_SESSION[EW_SESSION_MESSAGE] = $v;
		}
	}

	// Show message
	function ShowMessage() {
		$sMessage = $this->getMessage();
		$this->Message_Showing($sMessage);
		if ($sMessage <> "") { // Message in Session, display
			echo "<p><span class=\"ewMessage\">" . $sMessage . "</span></p>";
			$_SESSION[EW_SESSION_MESSAGE] = ""; // Clear message in Session
		}
	}

	// Validate page request
	function IsPageRequest() {
		global $objForm, $tbl_province;
		if ($tbl_province->UseTokenInUrl) {
			if ($objForm)
				return ($tbl_province->TableVar == $objForm->GetValue("t"));
			if (@$_GET["t"] <> "")
				return ($tbl_province->TableVar == $_GET["t"]);
		} else {
			return TRUE;
		}
	}

	//
	// Page class constructor
	//
	function ctbl_province_delete() {
		global $conn, $Language;

		// Language object
		$Language = new cLanguage();

		// Table object (tbl_province)
		$GLOBALS["tbl_province"] = new ctbl_province();

		// Table object (tbl_country)
		$GLOBALS['tbl_country'] = new ctbl_country();

		// Table object (tbl_language)
		$GLOBALS['tbl_language'] = new ctbl_language();

		// Table object (tbl_admin)
		$GLOBALS['tbl_admin'] = new ctbl_admin();

		// Page ID
		if (!defined("EW_PAGE_ID"))
			define("EW_PAGE_ID", 'delete', TRUE);

		// Table name (for backward compatibility)
		if (!defined("EW_TABLE_NAME"))
			define("EW_TABLE_NAME", 'tbl_province', TRUE);

		// Start timer
		$GLOBALS["gsTimer"] = new cTimer();

		// Open connection
		$conn = ew_Connect();
	}

	// 
	//  Page_Init
	//
	function Page_Init() {
		global $gsExport, $gsExportFile, $UserProfile, $Language, $Security, $objForm;
		global $tbl_province;

		// Security
		$Security = new cAdvancedSecurity();
		if (!$Security->IsLoggedIn()) $Security->AutoLogin();
		if (!$Security->IsLoggedIn()) {
			$Security->SaveLastUrl();
			$this->Page_Terminate("login.php");
		}

		// Global Page Loading event (in userfn*.php)
		Page_Loading();

		// Page Load event
		$this->Page_Load();
	}

	//
	// Page_Terminate
	//
	function Page_Terminate($url = "") {
		global $conn;

		// Page Unload event
		$this->Page_Unload();

		// Global Page Unloaded event (in userfn*.php)
		Page_Unloaded();

		 // Close connection
		$conn->Close();

		// Go to URL if specified
		$this->Page_Redirecting($url);
		if ($url <> "") {
			if (!EW_DEBUG_ENABLED && ob_get_length())
				ob_end_clean();
			header("Location: " . $url);
		}
		exit();
	}
	var $lTotalRecs = 0;
	var $lRecCnt;
	var $arRecKeys = array();

	//
	// Page main
	//
	function Page_Main() {
		global $Language, $tbl_province;

		// Load key parameters
		$sKey = "";
		$bSingleDelete = TRUE; // Initialize as single delete
		$nKeySelected = 0; // Initialize selected key count
		$sFilter = "";
		if (@$_GET["province_id"] <> "") {
			$tbl_province->province_id->setQueryStringValue($_GET["province_id"]);
			if (!is_numeric($tbl_province->province_id->QueryStringValue))
				$this->Page_Terminate("tbl_provincelist.php"); // Prevent SQL injection, exit
			$sKey .= $tbl_province->province_id->QueryStringValue;
		} else {
			$bSingleDelete = FALSE;
		}
		if ($bSingleDelete) {
			$nKeySelected = 1; // Set up key selected count
			$this->arRecKeys[0] = $sKey;
		} else {
			if (isset($_POST["key_m"])) { // Key in form
				$nKeySelected = count($_POST["key_m"]); // Set up key selected count
				$this->arRecKeys = ew_StripSlashes($_POST["key_m"]);
			}
		}
		if ($nKeySelected <= 0)
			$this->Page_Terminate("tbl_provincelist.php"); // No key specified, return to list

		// Build filter
		foreach ($this->arRecKeys as $sKey) {
			$sFilter .= "(";

			// Set up key field
			$sKeyFld = $sKey;
			if (!is_numeric($sKeyFld))
				$this->Page_Terminate("tbl_provincelist.php"); // Prevent SQL injection, return to list
			$sFilter .= "`province_id`=" . ew_AdjustSql($sKeyFld) . " AND ";
			if (substr($sFilter, -5) == " AND ") $sFilter = substr($sFilter, 0, strlen($sFilter)-5) . ") OR ";
		}
		if (substr($sFilter, -4) == " OR ") $sFilter = substr($sFilter, 0, strlen($sFilter)-4);

		// Set up filter (SQL WHHERE clause) and get return SQL
		// SQL constructor in tbl_province class, tbl_provinceinfo.php

		$tbl_province->CurrentFilter = $sFilter;

		// Get action
		if (@$_POST["a_delete"] <> "") {
			$tbl_province->CurrentAction = $_POST["a_delete"];
		} else {
			$tbl_province->CurrentAction = "D"; // Delete record directly
		}
		switch ($tbl_province->CurrentAction) {
			case "D": // Delete
				$tbl_province->SendEmail = TRUE; // Send email on delete success
				if ($this->DeleteRows()) { // delete rows
					$this->setMessage($Language->Phrase("DeleteSuccess")); // Set up success message
					$this->Page_Terminate($tbl_province->getReturnUrl()); // Return to caller
				}
		}
	}

	//
	// Delete records based on current filter
	//
	function DeleteRows() {
		global $conn, $Language, $Security, $tbl_province;
		$DeleteRows = TRUE;
		$sWrkFilter = $tbl_province->CurrentFilter;

		// Set up filter (SQL WHERE clause) and get return SQL
		// SQL constructor in tbl_province class, tbl_provinceinfo.php

		$tbl_province->CurrentFilter = $sWrkFilter;
		$sSql = $tbl_province->SQL();
		$conn->raiseErrorFn = 'ew_ErrorFn';
		$rs = $conn->Execute($sSql);
		$conn->raiseErrorFn = '';
		if ($rs === FALSE) {
			return FALSE;
		} elseif ($rs->EOF) {
			$this->setMessage($Language->Phrase("NoRecord")); // No record found
			$rs->Close();
			return FALSE;
		}
		$conn->BeginTrans();

		// Clone old rows
		$rsold = ($rs) ? $rs->GetRows() : array();
		if ($rs)
			$rs->Close();

		// Call row deleting event
		if ($DeleteRows) {
			foreach ($rsold as $row) {
				$DeleteRows = $tbl_province->Row_Deleting($row);
				if (!$DeleteRows) break;
			}
		}
		if ($DeleteRows) {
			$sKey = "";
			foreach ($rsold as $row) {
				$sThisKey = "";
				if ($sThisKey <> "") $sThisKey .= EW_COMPOSITE_KEY_SEPARATOR;
				$sThisKey .= $row['province_id'];
				$conn->raiseErrorFn = 'ew_ErrorFn';
				$DeleteRows = $conn->Execute($tbl_province->DeleteSQL($row)); // Delete
				$conn->raiseErrorFn = '';
				if ($DeleteRows === FALSE)
					break;
				if ($sKey <> "") $sKey .= ", ";
				$sKey .= $sThisKey;
			}
		} else {

			// Set up error message
			if ($tbl_province->CancelMessage <> "") {
				$this->setMessage($tbl_province->CancelMessage);
				$tbl_province->CancelMessage = "";
			} else {
				$this->setMessage($Language->Phrase("DeleteCancelled"));
			}
		}
		if ($DeleteRows) {
			$conn->CommitTrans(); // Commit the changes
		} else {
			$conn->RollbackTrans(); // Rollback changes
		}

		// Call Row Deleted event
		if ($DeleteRows) {
			foreach ($rsold as $row) {
				$tbl_province->Row_Deleted($row);
			}	
		}
		return $DeleteRows;
	}

	// Load recordset
	function LoadRecordset($offset = -1, $rowcnt = -1) {
		global $conn, $tbl_province;

		// Call Recordset Selecting event
		$tbl_province->Recordset_Selecting($tbl_province->CurrentFilter);

		// Load List page SQL
		$sSql = $tbl_province->SelectSQL();
		if ($offset > -1 && $rowcnt > -1)
			$sSql .= " LIMIT $offset, $rowcnt";

		// Load recordset
		$rs = ew_LoadRecordset($sSql);

		// Call Recordset Selected event
		$tbl_province->Recordset_Selected($rs);
		return $rs;
	}

	// Load row based on key values
	function LoadRow() {
		global $conn, $Security, $tbl_province;
		$sFilter = $tbl_province->KeyFilter();

		// Call Row Selecting event
		$tbl_province->Row_Selecting($sFilter);

		// Load SQL based on filter
		$tbl_province->CurrentFilter = $sFilter;
		$sSql = $tbl_province->SQL();
		$res = FALSE;
		$rs = ew_LoadRecordset($sSql);
		if ($rs && !$rs->EOF) {
			$res = TRUE;
			$this->LoadRowValues($rs); // Load row values

			// Call Row Selected event
			$tbl_province->Row_Selected($rs);
			$rs->Close();
		}
		return $res;
	}

	// Load row values from recordset
	function LoadRowValues(&$rs) {
		global $conn, $tbl_province;
		$tbl_province->province_id->setDbValue($rs->fields('province_id'));
		$tbl_province->lang_id->setDbValue($rs->fields('lang_id'));
		$tbl_province->country_id->setDbValue($rs->fields('country_id'));
		$tbl_province->province_name->setDbValue($rs->fields('province_name'));
		$tbl_province->order_by->setDbValue($rs->fields('order_by'));
	}

	// Render row values based on field settings
	function RenderRow() {
		global $conn, $Security, $Language, $tbl_province;

		// Initialize URLs
		// Call Row_Rendering event

		$tbl_province->Row_Rendering();

		// Common render codes for all row types
		// lang_id

		$tbl_province->lang_id->CellCssStyle = ""; $tbl_province->lang_id->CellCssClass = "";
		$tbl_province->lang_id->CellAttrs = array(); $tbl_province->lang_id->ViewAttrs = array(); $tbl_province->lang_id->EditAttrs = array();

		// country_id
		$tbl_province->country_id->CellCssStyle = ""; $tbl_province->country_id->CellCssClass = "";
		$tbl_province->country_id->CellAttrs = array(); $tbl_province->country_id->ViewAttrs = array(); $tbl_province->country_id->EditAttrs = array();

		// province_name
		$tbl_province->province_name->CellCssStyle = ""; $tbl_province->province_name->CellCssClass = "";
		$tbl_province->province_name->CellAttrs = array(); $tbl_province->province_name->ViewAttrs = array(); $tbl_province->province_name->EditAttrs = array();

		// order_by
		$tbl_province->order_by->CellCssStyle = ""; $tbl_province->order_by->CellCssClass = "";
		$tbl_province->order_by->CellAttrs = array(); $tbl_province->order_by->ViewAttrs = array(); $tbl_province->order_by->EditAttrs = array();
		if ($tbl_province->RowType == EW_ROWTYPE_VIEW) { // View row

			// province_id
			$tbl_province->province_id->ViewValue = $tbl_province->province_id->CurrentValue;
			$tbl_province->province_id->CssStyle = "";
			$tbl_province->province_id->CssClass = "";
			$tbl_province->province_id->ViewCustomAttributes = "";

			// lang_id
			if (strval($tbl_province->lang_id->CurrentValue) <> "") {
				$sFilterWrk = "`language_id` = " . ew_AdjustSql($tbl_province->lang_id->CurrentValue) . "";
			$sSqlWrk = "SELECT `language` FROM `tbl_language`";
			$sWhereWrk = "";
			if ($sFilterWrk <> "") {
				if ($sWhereWrk <> "") $sWhereWrk .= " AND ";
				$sWhereWrk .= "(" . $sFilterWrk . ")";
			}
			if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
				$rswrk = $conn->Execute($sSqlWrk);
				if ($rswrk && !$rswrk->EOF) { // Lookup values found
					$tbl_province->lang_id->ViewValue = $rswrk->fields('language');
					$rswrk->Close();
				} else {
					$tbl_province->lang_id->ViewValue = $tbl_province->lang_id->CurrentValue;
				}
			} else {
				$tbl_province->lang_id->ViewValue = NULL;
			}
			$tbl_province->lang_id->CssStyle = "";
			$tbl_province->lang_id->CssClass = "";
			$tbl_province->lang_id->ViewCustomAttributes = "";

			// country_id
			if (strval($tbl_province->country_id->CurrentValue) <> "") {
				$sFilterWrk = "`country_id` = " . ew_AdjustSql($tbl_province->country_id->CurrentValue) . "";
			$sSqlWrk = "SELECT `country_name` FROM `tbl_country`";
			$sWhereWrk = "";
			if ($sFilterWrk <> "") {
				if ($sWhereWrk <> "") $sWhereWrk .= " AND ";
				$sWhereWrk .= "(" . $sFilterWrk . ")";
			}
			if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
				$rswrk = $conn->Execute($sSqlWrk);
				if ($rswrk && !$rswrk->EOF) { // Lookup values found
					$tbl_province->country_id->ViewValue = $rswrk->fields('country_name');
					$rswrk->Close();
				} else {
					$tbl_province->country_id->ViewValue = $tbl_province->country_id->CurrentValue;
				}
			} else {
				$tbl_province->country_id->ViewValue = NULL;
			}
			$tbl_province->country_id->CssStyle = "";
			$tbl_province->country_id->CssClass = "";
			$tbl_province->country_id->ViewCustomAttributes = "";

			// province_name
			$tbl_province->province_name->ViewValue = $tbl_province->province_name->CurrentValue;
			$tbl_province->province_name->CssStyle = "";
			$tbl_province->province_name->CssClass = "";
			$tbl_province->province_name->ViewCustomAttributes = "";

			// order_by
			$tbl_province->order_by->ViewValue = $tbl_province->order_by->CurrentValue;
			$tbl_province->order_by->CssStyle = "";
			$tbl_province->order_by->CssClass = "";
			$tbl_province->order_by->ViewCustomAttributes = "";

			// lang_id
			$tbl_province->lang_id->HrefValue = "";
			$tbl_province->lang_id->TooltipValue = "";

			// country_id
			$tbl_province->country_id->HrefValue = "";
			$tbl_province->country_id->TooltipValue = "";

			// province_name
			$tbl_province->province_name->HrefValue = "";
			$tbl_province->province_name->TooltipValue = "";

			// order_by
			$tbl_province->order_by->HrefValue = "";
			$tbl_province->order_by->TooltipValue = "";
		}

		// Call Row Rendered event
		if ($tbl_province->RowType <> EW_ROWTYPE_AGGREGATEINIT)
			$tbl_province->Row_Rendered();
	}

	// Page Load event
	function Page_Load() {

		//echo "Page Load";
	}

	// Page Unload event
	function Page_Unload() {

		//echo "Page Unload";
	}

	// Page Redirecting event
	function Page_Redirecting(&$url) {

		// Example:
		//$url = "your URL";

	}

	// Message Showing event
	function Message_Showing(&$msg) {

		// Example:
		//$msg = "your new message";

	}
}
?>
